> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1meexpenses



## OpenAPI

````yaml /api-reference/openapi.json get /v1/me/expenses
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/me/expenses:
    get:
      tags:
        - MyExpenses
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          schema:
            type: string
        - name: sortDirection
          in: query
          schema:
            type: string
        - name: BusinessId
          in: query
          schema:
            type: integer
            format: int64
        - name: Role
          in: query
          schema:
            $ref: '#/components/schemas/ModelsBusinessUsersSBBusinessMembershipRole'
        - name: UserIds
          in: query
          schema:
            type: array
            items:
              type: string
        - name: OnlyMine
          in: query
          schema:
            type: boolean
        - name: merchantId
          in: query
          schema:
            type: integer
            format: int64
        - name: vendorId
          in: query
          schema:
            type: integer
            format: int64
        - name: vendorIds
          in: query
          schema:
            type: string
        - name: currencies
          in: query
          schema:
            type: string
        - name: submittedByEmployeeId
          in: query
          schema:
            type: integer
            format: int64
        - name: fromDate
          in: query
          schema:
            type: string
            format: date-time
        - name: toDate
          in: query
          schema:
            type: string
            format: date-time
        - name: minAmount
          in: query
          schema:
            type: number
            format: double
        - name: maxAmount
          in: query
          schema:
            type: number
            format: double
        - name: amount
          in: query
          schema:
            type: number
            format: double
        - name: category
          in: query
          schema:
            type: string
        - name: categoryIds
          in: query
          schema:
            type: array
            items:
              type: integer
              format: int64
        - name: tags
          in: query
          schema:
            type: array
            items:
              type: string
        - name: paymentMethod
          in: query
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
        - name: searchTerm
          in: query
          schema:
            type: string
        - name: needsReview
          in: query
          schema:
            type: boolean
        - name: payerType
          in: query
          schema:
            $ref: '#/components/schemas/ModelsTransactionsPayerType'
        - name: expenseReportStatus
          in: query
          schema:
            type: array
            items:
              $ref: >-
                #/components/schemas/ModelsTransactionsSBTransactionExpenseReportStatus
      responses:
        '200':
          description: OK
components:
  schemas:
    ModelsBusinessUsersSBBusinessMembershipRole:
      enum:
        - ADMINISTRATOR
        - FINANCE_MANAGER
        - ACCOUNTANT
        - MANAGER
        - EMPLOYEE
        - AUDITOR
        - APPROVER
        - MEMBER
        - FINANCE_TEAM
      type: string
    ModelsTransactionsPayerType:
      enum:
        - EMPLOYEE
        - COMPANY
      type: string
    ModelsTransactionsSBTransactionExpenseReportStatus:
      enum:
        - UNREPORTED
        - REPORTED
        - SUBMITTED
        - UNDER_REVIEW
        - APPROVED
        - REJECTED
        - REIMBURSED
        - PARTIALLY_REIMBURSED
        - REQUIRES_CHANGES
        - REIMBURSEMENT_PLANNED
      type: string

````